﻿//------------------------------------------------------------------------------
// <auto-generated>
//     O código foi gerado por uma ferramenta.
//     Versão de Tempo de Execução:4.0.30319.42000
//
//     As alterações ao arquivo poderão causar comportamento incorreto e serão perdidas se
//     o código for gerado novamente.
// </auto-generated>
//------------------------------------------------------------------------------

namespace Harpy.Cli.Test.Commands.GenerateCommands {
    using System;
    
    
    /// <summary>
    ///   Uma classe de recurso de tipo de alta segurança, para pesquisar cadeias de caracteres localizadas etc.
    /// </summary>
    // Essa classe foi gerada automaticamente pela classe StronglyTypedResourceBuilder
    // através de uma ferramenta como ResGen ou Visual Studio.
    // Para adicionar ou remover um associado, edite o arquivo .ResX e execute ResGen novamente
    // com a opção /str, ou recrie o projeto do VS.
    [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Resources.Tools.StronglyTypedResourceBuilder", "17.0.0.0")]
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
    [global::System.Runtime.CompilerServices.CompilerGeneratedAttribute()]
    internal class Results {
        
        private static global::System.Resources.ResourceManager resourceMan;
        
        private static global::System.Globalization.CultureInfo resourceCulture;
        
        [global::System.Diagnostics.CodeAnalysis.SuppressMessageAttribute("Microsoft.Performance", "CA1811:AvoidUncalledPrivateCode")]
        internal Results() {
        }
        
        /// <summary>
        ///   Retorna a instância de ResourceManager armazenada em cache usada por essa classe.
        /// </summary>
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Advanced)]
        internal static global::System.Resources.ResourceManager ResourceManager {
            get {
                if (object.ReferenceEquals(resourceMan, null)) {
                    global::System.Resources.ResourceManager temp = new global::System.Resources.ResourceManager("Harpy.Cli.Test.Commands.GenerateCommands.Results", typeof(Results).Assembly);
                    resourceMan = temp;
                }
                return resourceMan;
            }
        }
        
        /// <summary>
        ///   Substitui a propriedade CurrentUICulture do thread atual para todas as
        ///   pesquisas de recursos que usam essa classe de recurso de tipo de alta segurança.
        /// </summary>
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Advanced)]
        internal static global::System.Globalization.CultureInfo Culture {
            get {
                return resourceCulture;
            }
            set {
                resourceCulture = value;
            }
        }
        
        /// <summary>
        ///   Consulta uma cadeia de caracteres localizada semelhante a using System;
        ///using System.Linq;
        ///using System.Collections.Generic;
        ///using Harpy.Domain.Commands;
        ///using Exemple.Domain.AggregateModels;
        ///
        ///namespace Exemple.Domain.Commands
        ///{
        ///    public class PostWeatherForecastCommand : Command&lt;WeatherForecast&gt;
        ///    {
        ///        public DateTime Date { get; private set; }
        ///        public int TemperatureC { get; private set; }
        ///        public string Summary { get; private set; }
        ///
        ///        public PostWeatherForecastCommand(DateTime date, int temperatureC, string summary)
        /// [o restante da cadeia de caracteres foi truncado]&quot;;.
        /// </summary>
        internal static string Command {
            get {
                return ResourceManager.GetString("Command", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Consulta uma cadeia de caracteres localizada semelhante a using System;
        ///using System.Linq;
        ///using System.Collections.Generic;
        ///using System.Threading;
        ///using System.Threading.Tasks;
        ///using Harpy.Application.CommandHandlers;
        ///using Harpy.Domain.Interfaces.Messages;
        ///using Harpy.Domain.Events;
        ///using Harpy.Domain.Validations;
        ///using MediatR;
        ///using Exemple.Domain.Interfaces.Repositories;
        ///using Exemple.Domain.Interfaces.Queries;
        ///using Exemple.Domain.AggregateModels;
        ///using Exemple.Domain.Commands;
        ///
        ///namespace Exemple.Application.CommandHandlers
        ///{
        ///    public cla [o restante da cadeia de caracteres foi truncado]&quot;;.
        /// </summary>
        internal static string CommandHandler {
            get {
                return ResourceManager.GetString("CommandHandler", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Consulta uma cadeia de caracteres localizada semelhante a using System;
        ///using System.Linq;
        ///using System.Collections.Generic;
        ///using Harpy.Domain.Validations;
        ///using FluentValidation;
        ///using Exemple.Domain.Commands;
        ///using Exemple.Domain.Interfaces.Queries;
        ///
        ///namespace Exemple.Domain.Validations
        ///{
        ///    public class PostWeatherForecastCommandValidation : Validation&lt;PostWeatherForecastCommand&gt;
        ///    {
        ///        private readonly IWeatherForecastQuery _weatherForecastQuery;
        ///
        ///        public PostWeatherForecastCommandValidation(WeatherForecast weatherForecast)
        ///      [o restante da cadeia de caracteres foi truncado]&quot;;.
        /// </summary>
        internal static string CommandValidation {
            get {
                return ResourceManager.GetString("CommandValidation", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Consulta uma cadeia de caracteres localizada semelhante a using Myth.ValueObjects;
        ///
        ///namespace Exemple.Domain.Constants
        ///{
        ///    public class FileExtension : Constant&lt;FileExtension, string&gt;
        ///    {
        ///        public static readonly string MKV = new string(nameof(MKV), &quot;.mkv&quot;);
        ///
        ///        public FileExtension(string name, string value) : base(name, value)
        ///        {
        ///        }
        ///    }
        ///}.
        /// </summary>
        internal static string Constant {
            get {
                return ResourceManager.GetString("Constant", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Consulta uma cadeia de caracteres localizada semelhante a using Microsoft.EntityFrameworkCore;
        ///using Harpy.IoC.Options;
        ///using Harpy.Context;
        ///using Exemple.Infrastructure.Data.Context.Mappings;
        ///using Exemple.Domain.AggregateModels;
        ///
        ///namespace Exemple.Infrastructure.Data.Context
        ///{
        ///    public class ExempleContext : BaseContext
        ///    {
        ///        public ExempleContext(DbContextOptions options, Parameters parameters = null) : base(options)
        ///        {
        ///        }
        ///    }
        ///}.
        /// </summary>
        internal static string Context {
            get {
                return ResourceManager.GetString("Context", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Consulta uma cadeia de caracteres localizada semelhante a using Harpy.Domain.Jobs.Base;
        ///
        ///namespace Exemple.Domain.Jobs
        ///{
        ///    public class WeatherForecastJob : ContinuedJob
        ///    {
        ///        public long WeatherForecastId { get; private set; }
        ///
        ///        public WeatherForecastJob(long weatherForecastId, string parentJob) : base(parentJob)
        ///        {
        ///            WeatherForecastId = weatherForecastId;
        ///        }
        ///    }
        ///}.
        /// </summary>
        internal static string ContinuedJob {
            get {
                return ResourceManager.GetString("ContinuedJob", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Consulta uma cadeia de caracteres localizada semelhante a using AutoMapper;
        ///using Exemple.Domain.AggregateModels;
        ///using Exemple.Domain.Commands;
        ///using Exemple.Domain.Interfaces.Queries;
        ///using Exemple.Domain.Jobs;
        ///using Harpy.Domain.Interfaces.Messages;
        ///using Harpy.Domain.Interfaces.Queries.Base;
        ///using Harpy.Presentation.Controller;
        ///using Harpy.Transaction;
        ///using Microsoft.AspNetCore.Authorization;
        ///using Microsoft.AspNetCore.Http;
        ///using Microsoft.AspNetCore.Mvc;
        ///using Myth.ValueObjects.OdataObjects;
        ///using Myth.ViewModels.Errors;
        ///using NSwag.Annotation [o restante da cadeia de caracteres foi truncado]&quot;;.
        /// </summary>
        internal static string Controller {
            get {
                return ResourceManager.GetString("Controller", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Consulta uma cadeia de caracteres localizada semelhante a using Harpy.Domain.Events.Base;
        ///
        ///namespace Exemple.Domain.Events
        ///{
        ///    public class WeatherForecastCreatedEvent : Event
        ///    {
        ///        public long WeatherForecastId { get; private set; }
        ///
        ///        public WeatherForecastCreatedEvent(long weatherForecastId)
        ///        {
        ///            WeatherForecastId = weatherForecastId;
        ///        }
        ///    }
        ///}.
        /// </summary>
        internal static string Event {
            get {
                return ResourceManager.GetString("Event", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Consulta uma cadeia de caracteres localizada semelhante a using System.Threading;
        ///using System.Threading.Tasks;
        ///using Harpy.Application.EventHandlers;
        ///using Exemple.Domain.Events;
        ///using Exemple.Domain.Interfaces.Repositories;
        ///
        ///namespace Exemple.Application.EventHandlers
        ///{
        ///    public class WeatherForecastCreatedEventHandler : EventHandler&lt;WeatherForecastCreatedEvent&gt;
        ///    {
        ///        private readonly IWeatherForecastRepository _weatherForecastRepository;
        ///        private readonly IWeatherForecastQuery _weatherForecastQuery;
        ///
        ///        public WeatherForecastC [o restante da cadeia de caracteres foi truncado]&quot;;.
        /// </summary>
        internal static string EventHandler {
            get {
                return ResourceManager.GetString("EventHandler", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Consulta uma cadeia de caracteres localizada semelhante a using Harpy.IoC;
        ///using Microsoft.Extensions.DependencyInjection;
        ///
        ///namespace Exemple.Infrastructure.Data.Context
        ///{
        ///    public static class InjectorContainer
        ///    {
        ///        public static IServiceCollection AddExemple(this IServiceCollection services)
        ///        {
        ///            services.AddRepository();
        ///            services.AddQuery();
        ///            return services;
        ///        }
        ///    }
        ///}.
        /// </summary>
        internal static string IoC {
            get {
                return ResourceManager.GetString("IoC", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Consulta uma cadeia de caracteres localizada semelhante a using Harpy.Domain.Jobs.Base;
        ///
        ///namespace Exemple.Domain.Jobs
        ///{
        ///    public class WeatherForecastJob : Job
        ///    {
        ///        public long WeatherForecastId { get; private set; }
        ///
        ///        public WeatherForecastJob(long weatherForecastId)
        ///        {
        ///            WeatherForecastId = weatherForecastId;
        ///        }
        ///    }
        ///}.
        /// </summary>
        internal static string Job {
            get {
                return ResourceManager.GetString("Job", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Consulta uma cadeia de caracteres localizada semelhante a using System.Threading;
        ///using System.Threading.Tasks;
        ///using Harpy.Application.JobHandlers;
        ///using Exemple.Domain.Jobs;
        ///using Exemple.Domain.Interfaces.Repositories;
        ///
        ///namespace Exemple.Application.JobHandlers
        ///{
        ///    public class WeatherForecastEventHandler : JobHandler&lt;WeatherForecastJobHandler&gt;
        ///    {
        ///        private readonly IWeatherForecastRepository _weatherForecastRepository;
        ///        private readonly IWeatherForecastQuery _weatherForecastQuery;
        ///
        ///        public WeatherForecastEventHandler(Weath [o restante da cadeia de caracteres foi truncado]&quot;;.
        /// </summary>
        internal static string JobHandler {
            get {
                return ResourceManager.GetString("JobHandler", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Consulta uma cadeia de caracteres localizada semelhante a using Microsoft.EntityFrameworkCore;
        ///using Microsoft.EntityFrameworkCore.Metadata.Builders;
        ///using Exemple.Domain.AggregateModels;
        ///
        ///namespace Exemple.Infrastructure.Data.Context.Mappings
        ///{
        ///    public class WeatherForecast : IEntityTypeConfiguration&lt;WeatherForecast&gt;
        ///    {
        ///        public void Configure(EntityTypeBuilder&lt;WeatherForecast&gt; builder)
        ///        {
        ///            builder.ToTable(&quot;weather_forecast&quot;).HasKey(
        ///		column =&gt; column.WeatherForecastId).HasName(&quot;weather_forecast_id&quot;);
        ///            builder [o restante da cadeia de caracteres foi truncado]&quot;;.
        /// </summary>
        internal static string Map {
            get {
                return ResourceManager.GetString("Map", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Consulta uma cadeia de caracteres localizada semelhante a using FluentMigrator;
        ///
        ///namespace Harpy.Template.Migrations
        ///{
        ///    [Migration( 20000101000000 )]
        ///    public class 20000101000000_AddTableWeatherForecast : Migration
        ///    {
        ///        public override void Up()
        ///        {
        ///        }
        ///
        ///        public override void Down()
        ///        {
        ///        }
        ///    }
        ///}.
        /// </summary>
        internal static string Migration {
            get {
                return ResourceManager.GetString("Migration", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Consulta uma cadeia de caracteres localizada semelhante a using System;
        ///using System.Linq;
        ///using System.Collections.Generic;
        ///
        ///namespace Exemple.Domain.AggregateModels
        ///{
        ///    public class WeatherForecast
        ///    {
        ///        private readonly List&lt;Exemple&gt; _exemple = new List&lt;Exemple&gt;();
        ///
        ///        public long WeatherForecastId { get; private set; }
        ///        public DateTime Date { get; private set; }
        ///        public int TemperatureC { get; private set; }
        ///        public int TemperatureF { get; private set; }
        ///        public string Summary { get; private set; }
        ///
        ///   [o restante da cadeia de caracteres foi truncado]&quot;;.
        /// </summary>
        internal static string Model {
            get {
                return ResourceManager.GetString("Model", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Consulta uma cadeia de caracteres localizada semelhante a using Harpy.Domain.Jobs.Base;
        ///
        ///namespace Exemple.Domain.Jobs
        ///{
        ///    public class WeatherForecastJob : PersistedJob
        ///    {
        ///        public long WeatherForecastId { get; private set; }
        ///
        ///        public WeatherForecastJob(long weatherForecastId, string jobId, string jobCron) : base(jobId, jobCron)
        ///        {
        ///            WeatherForecastId = weatherForecastId;
        ///        }
        ///    }
        ///}.
        /// </summary>
        internal static string PersistedJob {
            get {
                return ResourceManager.GetString("PersistedJob", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Consulta uma cadeia de caracteres localizada semelhante a using AutoMapper;
        ///using Exemple.Presentation.ViewModels;
        ///using Exemple.Domain.AggregateModels;
        ///
        ///namespace Exemple.Infrastructure.Exemple.Presentation.Mappings.DomainToViewModel
        ///{
        ///    public class ExempleProfile : Profile
        ///    {
        ///        public ExempleProfile()
        ///        {
        ///            CreateMap&lt;WeatherForecast, WeatherForecastViewModel&gt;();
        ///        }
        ///    }
        ///}.
        /// </summary>
        internal static string Profile {
            get {
                return ResourceManager.GetString("Profile", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Consulta uma cadeia de caracteres localizada semelhante a using System.Collections.Generic;
        ///using System.Threading.Tasks;
        ///using System.Threading;
        ///using Harpy.Domain.Specifications;
        ///using Exemple.Domain.Interfaces.Repositories;
        ///using Exemple.Domain.Interfaces.Queries;
        ///using Exemple.Domain.Specifications;
        ///using Exemple.Domain.AggregateModels;
        ///
        ///namespace Exemple.Application.Queries
        ///{
        ///    public class WeatherForecastQuery : IWeatherForecastQuery
        ///    {
        ///        private readonly IWeatherForecastRepository _weatherForecastRepository;
        ///
        ///        protected Weat [o restante da cadeia de caracteres foi truncado]&quot;;.
        /// </summary>
        internal static string QueryImplementation {
            get {
                return ResourceManager.GetString("QueryImplementation", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Consulta uma cadeia de caracteres localizada semelhante a using System.Collections.Generic;
        ///using System.Threading.Tasks;
        ///using System.Threading;
        ///using Harpy.Domain.Interfaces.Queries.Base;
        ///using Exemple.Domain.AggregateModels;
        ///
        ///namespace Exemple.Domain.Interfaces.Queries
        ///{
        ///    public interface IWeatherForecastQuery : IQuery
        ///    {
        ///        Task&lt;bool&gt; ExistsAsync(long id, CancellationToken cancellationToken);
        ///    }
        ///}.
        /// </summary>
        internal static string QueryInterface {
            get {
                return ResourceManager.GetString("QueryInterface", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Consulta uma cadeia de caracteres localizada semelhante a using Harpy.Repository.Entity;
        ///using Exemple.Domain.Interfaces.Repositories;
        ///using Exemple.Infrastructure.Data.Context;
        ///using Exemple.Domain.AggregateModels;
        ///
        ///namespace Exemple.Infrastructure.Data.Repository
        ///{
        ///    public class WeatherForecastRepository : EntityReadWriteRepository&lt;WeatherForecast&gt;, IWeatherForecastRepository{
        ///        protected WeatherForecastRepository(ExempleContext context) : base(context)
        ///        {
        ///        }
        ///    }
        ///}.
        /// </summary>
        internal static string RepositoryImplementation {
            get {
                return ResourceManager.GetString("RepositoryImplementation", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Consulta uma cadeia de caracteres localizada semelhante a using Harpy.Domain.Interfaces.Repositories.Entity;
        ///using Exemple.Domain.AggregateModels;
        ///
        ///namespace Exemple.Domain.Interfaces.Repositories
        ///{
        ///    public interface IWeatherForecastRepository : IEntityReadWriteRepository&lt;WeatherForecast&gt;
        ///    {
        ///    }
        ///}.
        /// </summary>
        internal static string RepositoryInterface {
            get {
                return ResourceManager.GetString("RepositoryInterface", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Consulta uma cadeia de caracteres localizada semelhante a using Harpy.Domain.Interfaces.Specfication;
        ///using Exemple.Domain.AggregateModels;
        ///
        ///namespace Exemple.Domain.Specifications
        ///{
        ///    public static class WeatherForecastSpecification
        ///    {
        ///        public static ISpec&lt;WeatherForecast&gt; WithId(this ISpec&lt;WeatherForecast&gt; spec, long id)
        ///        {
        ///            return spec.And(
        ///		field =&gt; field.WeatherForecastId == id);
        ///        }
        ///    }
        ///}.
        /// </summary>
        internal static string Specification {
            get {
                return ResourceManager.GetString("Specification", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Consulta uma cadeia de caracteres localizada semelhante a using System;
        ///using System.Linq;
        ///using System.Collections.Generic;
        ///
        ///namespace Exemple.Presentation.ViewModels
        ///{
        ///    public class WeatherForecastViewModel
        ///    {
        ///        public long WeatherForecastId { get; set; }
        ///        public DateTime Date { get; set; }
        ///        public int TemperatureC { get; set; }
        ///        public int TemperatureF { get; set; }
        ///        public string Summary { get; set; }
        ///    }
        ///}.
        /// </summary>
        internal static string ViewModel {
            get {
                return ResourceManager.GetString("ViewModel", resourceCulture);
            }
        }
    }
}
